%define	pversion	3220

Summary:	Curses-based 3270 Emulator
Name:		c3270
Version:	3.2.20
Release:	1mdk
License:	GPL
Group:		Terminals
URL:		http://www.geocities.com/SiliconValley/Peaks/7814/
Source0:	c3270-%{pversion}.tar.bz2
Requires:	x3270 =< %{version} readline libncurses5 libtermcap2
BuildRequires:	XFree86-devel libncurses5-devel readline-devel
BuildRequires:	glibc-devel libtermcap2-devel
BuildRoot:	%{_tmppath}/%{name}-%{pversion}-root

%description
Complete IBM 3278/3279 emulation, TN3270E support, structured
fields, color xterm emulation, highly configurable

%prep

%setup -q -n %{name}-3.2

%build

%configure2_5x \
    --without-pr3287 

%make %{name}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -m755 %{name} %{buildroot}%{_bindir}/
install -m644 %{name}.man %{buildroot}%{_mandir}/man1/%{name}.1

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc html/Bugs.html html/Build.html html/FAQ.html html/Intro.html
%doc html/Lineage.html html/New.html html/README.html 
%doc html/Wishlist.html html/c3270-man.html README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*

%changelog
* Fri Jul 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.20-1mdk
- 3.2.20
- use the %%configure2_5x macro

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.19-3mdk
- build release
- misc spec file fixes

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.2.19-2mdk
- rebuild for new readline

* Thu May 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.19-1mdk
- new version
- misc spec file fixes
- rebuilt with latest system compiler (gcc3.1)

* Tue Jan  1 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.2.18-1mdk
- new version

* Mon Sep 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.2.17-1mdk
- added in contribs by Oden Eriksson <oden.eriksson@kvikkjokk.net> :
	- initial cooker contrib

